VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::Downloadsession::File::Info Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Downloadsession::File::Info:

## Avaliable Methods
public method | set_bytes_transferred ()
public method | get_checksum_info ()
public method | get_bytes_transferred ()
public method | set_name ()
public method | set_error_message ()
public method | set_size ()
public method | get_error_message ()
public method | set_checksum_info ()
public method | set_download_endpoint ()
public method | new ()
public method | get_download_endpoint ()
public method | get_name ()
public method | get_size ()
public method | set_status ()
public method | get_status ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::Downloadsession::File::Info` class defines the downloaded file.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_bytes_transferred | ( |  | ) |

Gets the value of 'bytes_transferred' property.

Return values

  bytes_transferred | - The current value of the field. The number of bytes that have been transferred by the server so far for making this file prepared for download. This value may stay at zero till the client starts downloading the file. long#

Code:
click to view
# Number of lines of code in get_bytes_transferred: 4
sub get_bytes_transferred {
my ($self, %args) = @_;
return $self->{'bytes_transferred'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_checksum_info | ( |  | ) |

Gets the value of 'checksum_info' property.

Return values

  checksum_info | - The current value of the field. The checksum information of the file. When the download is complete, you can retrieve the checksum from the :func:`Com::Vmware::Content::Library::Item::Downloadsession::File.get` method to verify the checksum for the downloaded file. Optional#

Code:
click to view
# Number of lines of code in get_checksum_info: 4
sub get_checksum_info {
my ($self, %args) = @_;
return $self->{'checksum_info'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_download_endpoint | ( |  | ) |

Gets the value of 'download_endpoint' property.

Return values

  download_endpoint | - The current value of the field. Endpoint at which the file is available for download. The value is valid only when the :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::Info.status` is :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::PrepareStatus.PREPARED`Optional#

Code:
click to view
# Number of lines of code in get_download_endpoint: 4
sub get_download_endpoint {
my ($self, %args) = @_;
return $self->{'download_endpoint'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_error_message | ( |  | ) |

Gets the value of 'error_message' property.

Return values

  error_message | - The current value of the field. Error message for a failed preparation when the prepare status is :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::PrepareStatus.ERROR`Optional#

Code:
click to view
# Number of lines of code in get_error_message: 4
sub get_error_message {
my ($self, %args) = @_;
return $self->{'error_message'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the file. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_size | ( |  | ) |

Gets the value of 'size' property.

Return values

  size | - The current value of the field. The file size, in bytes. Optional#

Code:
click to view
# Number of lines of code in get_size: 4
sub get_size {
my ($self, %args) = @_;
return $self->{'size'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. The preparation status (UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file. PrepareStatus#

Code:
click to view
# Number of lines of code in get_status: 4
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::Downloadsession::File::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{size} = $args{'size'};
$self->{bytes_transferred} = $args{'bytes_transferred'};
$self->{status} = $args{'status'};
$self->{download_endpoint} = $args{'download_endpoint'};
$self->{checksum_info} = $args{'checksum_info'};
$self->{error_message} = $args{'error_message'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::Downloadsession::File::Info');
$self->set_binding_name('name' => 'com.vmware.content.library.item.downloadsession.file.info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'bytes_transferred', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item::Downloadsession', 'type_name' => 'File::PrepareStatus'));
$self->set_binding_field('key' => 'download_endpoint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'TransferEndpoint')));
$self->set_binding_field('key' => 'checksum_info', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'File::ChecksumInfo')));
$self->set_binding_field('key' => 'error_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_bytes_transferred | ( |  | ) |

Sets the given value for 'bytes_transferred' property.

Parameters

  bytes_transferred | - New value for the field. The number of bytes that have been transferred by the server so far for making this file prepared for download. This value may stay at zero till the client starts downloading the file.

Code:
click to view
# Number of lines of code in set_bytes_transferred: 5
sub set_bytes_transferred {
my ($self, %args) = @_;
$self->{'bytes_transferred'} = $args{'bytes_transferred'};
return;
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_checksum_info | ( |  | ) |

Sets the given value for 'checksum_info' property.

Parameters

  checksum_info | - New value for the field. The checksum information of the file. When the download is complete, you can retrieve the checksum from the :func:`Com::Vmware::Content::Library::Item::Downloadsession::File.get` method to verify the checksum for the downloaded file.

Code:
click to view
# Number of lines of code in set_checksum_info: 5
sub set_checksum_info {
my ($self, %args) = @_;
$self->{'checksum_info'} = $args{'checksum_info'};
return;
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_download_endpoint | ( |  | ) |

Sets the given value for 'download_endpoint' property.

Parameters

  download_endpoint | - New value for the field. Endpoint at which the file is available for download. The value is valid only when the :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::Info.status` is :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::PrepareStatus.PREPARED` Code: click to view # Number of lines of code in set_download_endpoint: 5 sub set_download_endpoint { my ($self, %args) = @_; $self->{'download_endpoint'} = $args{'download_endpoint'}; return; }

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_error_message | ( |  | ) |

Sets the given value for 'error_message' property.

Parameters

  error_message | - New value for the field. Error message for a failed preparation when the prepare status is :attr:`Com::Vmware::Content::Library::Item::Downloadsession::File::PrepareStatus.ERROR` Code: click to view # Number of lines of code in set_error_message: 5 sub set_error_message { my ($self, %args) = @_; $self->{'error_message'} = $args{'error_message'}; return; }

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the file.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_size | ( |  | ) |

Sets the given value for 'size' property.

Parameters

  size | - New value for the field. The file size, in bytes.

Code:
click to view
# Number of lines of code in set_size: 5
sub set_size {
my ($self, %args) = @_;
$self->{'size'} = $args{'size'};
return;
}

public method Com::Vmware::Content::Library::Item::Downloadsession::File::Info::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. The preparation status (UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file.

Code:
click to view
# Number of lines of code in set_status: 5
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Downloadsession/File.pm